%global momorel 2

Name: farsight2
Version: 0.0.21
Release: %{momorel}m%{?dist}
Summary: Audio/Video Communications Framework
URL: http://farsight.freedesktop.org/
Group: System Environment/Base
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://farsight.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource: 0

BuildRequires: pygobject-devel
BuildRequires: gstreamer-python-devel
BuildRequires: pygtk2-devel
BuildRequires: libnice-devel >= 0.0.9

%description
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
gtkdocize --copy --docdir docs/libs
gtkdocize --copy --docdir docs/plugins
autoreconf -vfi
%configure \
    --enable-gtk-doc \
    --enable-static=no \
    --enable-shave
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgstfarsight-0.10.so.*
%exclude %{_libdir}/libgstfarsight-0.10.la
%dir %{_libdir}/farsight2-0.0
%{_libdir}/farsight2-0.0/*.so
%{_libdir}/farsight2-0.0/*.la
%{_libdir}/gstreamer-0.10/*.so*
%{_libdir}/gstreamer-0.10/*.la
%{_libdir}/python2.6/site-packages/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gstreamer-0.10/gst/farsight
%{_datadir}/gtk-doc/html/farsight2-libs-0.10
%{_datadir}/gtk-doc/html/farsight2-plugins-0.10
%{_libdir}/pkgconfig/farsight2-0.10.pc
%{_libdir}/libgstfarsight-0.10.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.21-2m)
- full rebuild for mo7 release

* Mon Jul 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.21-1m)
- update to 0.0.21

* Fri Jul  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.20-1m)
- update to 0.0.20

* Thu May 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.19-1m)
- update to 0.0.19

* Wed May 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.18-1m)
- update to 0.0.18
- patch1 was upstreamed

* Sun Apr 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.17-4m)
- add patch1 build fix
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576976#10

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.17-3m)
- use BuildRequires

* Mon Feb  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.17-2m)
- --enable-gtk-doc

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.17-1m)
- update to 0.0.17

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.16-3m)
- --disable-gtk-doc

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.16-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.16-1m)
- update to 0.0.16

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.15-1m)
- update to 0.0.15

* Mon Jul 13 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.10-3m)
- add BuildPrereq:

* Mon Jun  8 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.10-2m)
- add BuildPrereq:

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.10-1m)
- update to 0.0.10

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.4-1m)
- initial build

